/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : May 31, 2015, 12:02:46 PM
    Author     : steve
*/


/* Our Work */
.work-body {
/*    background-image: url('resources/images/online-media.jpg');
    background-position: top center;
    background-size: cover;
    background-attachment: fixed;*/
    font-family: 'Roboto', sans-serif;
}
.work-body .footer .footer-text {
    color: black;
}
.work-content {
    display: table;
    width: 100%;
    min-height: 1024px;
    background: rgba(255,255,255,0.5);
    /*background: #c4c3c6;*/
    
    opacity: 0;
    -webkit-animation: ac1 1s linear 0.3s 1 forwards;
    animation: ac1 1s linear 0.3s 1 forwards;
}

.work-header {
    width: 100%;
    min-height: 500px;
    background-image: url('resources/images/online-media.jpg');
    background-position: center bottom;
    /*background-size: cover;*/
    background-attachment: fixed;
    color: white;
}
.work-header-background {
    min-height: 500px;
    background: rgba(0,0,0,0.5);
}
.work-header-container {
    display: inline-block;
    margin: 100px 0 0 100px;
}
.work-header-title {
    margin-top: 20px;
    font-size: 72px;
}
.work-header-description {
    margin-top: 30px;
    padding-bottom: 30px;
    font-size: 24px;
    font-weight: 100;
}
.work-filter {
    width: 580px;
    margin: 50px auto 0 auto;
}
.work-filter .filter {
    display: inline-block;
    padding: .4em .8em;
    background: #666;
    border: 0;
    color: white;
    font-size: 16px;
    font-weight: 300;
    border-radius: 4px;
    cursor: pointer;
    width: 140px;
    box-sizing: border-box;
}

.filter.active{
    background: #68b8c4;
}

button:focus{
    outline: 0 none;
}

.work-home {
    display: table;
    width: 100% !important;
    /*min-width: 1024px;*/
    max-width: 1500px;
    margin: 50px auto 0 auto;
}
.work-home .mix {
    display: none;
}

.project-card {
    display: inline-block;
    position: relative;
    width: 30%;
    /*float: left;*/
    margin-left: 2.5%;
    overflow: hidden;
}
.project-content {
    padding-bottom: 77.78%;
}

.project-content a {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1;
}
.project-content a:hover {
    background-position: right bottom;

    background: black;
    background-size: 200% 100%;
    transition:all 0.3s ease;
}
.project-content img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    border: 1px solid #dddddd;
    box-sizing: border-box;
}
.project-card .project-title {
    position: absolute;
    top: 67.14%;
    padding-top: 10px;
    font-size: 20px;
}
.project-card .project-details {
    position: absolute;
    top: 80%;
    font-size: 12px;
}
.wide-project {
    background: black;
}
.hide {
    width: 0px;
    opacity:0;
    margin:0;
    padding:0;
}
@media (max-width: 1340px) {
    .project-card {
        width: 44%;
        margin-left: 4%;
    }
}

@media (max-width: 830px) {
    .project-card {
        width: 50% !important;
        min-width: 300px;
    }
    .work-filter {
        width: 300px;
        margin: 50px auto 0 auto;
    }
    .work-filter button {
        margin-top: 10px;
    }
    .project-card .project-title {
        font-size: 16px;
    }
    .project-card .project-details {
        font-size: 10px;
    }
}

.work-footer {
    background: #68b8c4;
}
.work-footer-container {
    display: block;
    width: 100% !important;
    max-width: 1024px;
    margin: 0 auto;
    font-family: inherit;
    font-size: 24px;
    font-weight: 100;
    padding: 50px 20px
}

.work-footer-button {
    display: inline-block;
    background: white;
    padding: 10px 30px;
    margin: 30px 0;
    text-decoration: none;
    color: black
}
.work-footer-button:hover {
    color: white;
    background: black;
}